Name:          prlhddconv
Version:       1.0
Release:       2%{?dist}
Summary:       Tools for Parallels images conversion
License:       GPLv2
ExclusiveArch: x86_64

Source:        %{name}-%{version}.tar.bz2

Requires:      libxml2
Requires:      libuuid
Requires:      zlib
Requires:      xz-libs

BuildRequires: libxml2-devel
BuildRequires: libuuid-devel

%description
prlhddconv contains utilities for conversion of Parallels images.  prl2qcow
tool can do in-place conversion of such image into QCOW2 format.  prlnopad
tool is used to convert Parallels virtual hard drives with "padding" to ones
without it.

%prep
%setup -q

%build
make %{?_smp_mflags} all

%install
install -D -p -m 0755 prl2qcow %{buildroot}%{_bindir}/prl2qcow
install -D -p -m 0755 prlnopad %{buildroot}%{_bindir}/prlnopad

%clean
make clean

%files
%{_bindir}/prl2qcow
%{_bindir}/prlnopad

%changelog
* Mon Mar 25 2024 Andrey Drobyshev <andrey.drobyshev@virtuozzo.com> - 1.0
 - Initial import and build
